<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 04/11/2004 *
 * ===================                          Last change: 11/15/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : ext-payout.php                                   *
 * -------------------------------------------------------------------- *
 * Short description : Payout extension                                 *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Auszahlung-Erweiterung                           *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2013 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	die();
} // END - if

// Version of this extension
setThisExtensionVersion('0.3.8');

// Version history array (add more with , '0.0.1' and so on)
setExtensionVersionHistory(array('0.0.0', '0.1.0', '0.1.1', '0.1.2', '0.1.3', '0.1.4', '0.1.5', '0.1.6', '0.1.7', '0.1.8', '0.1.9', '0.2.0', '0.2.1', '0.2.2', '0.2.3', '0.2.4', '0.2.5', '0.2.6', '0.2.7', '0.2.8', '0.2.9', '0.3.0', '0.3.1', '0.3.2', '0.3.3', '0.3.4', '0.3.5', '0.3.6', '0.3.7', '0.3.8'));

switch (getExtensionMode()) {
	case 'setup': // Do stuff when installation is running
		// SQL commands to run
		addDropTableSql('user_payouts');
		addCreateTableSql('user_payouts', "
`id` BIGINT(20) UNSIGNED NOT NULL AUTO_INCREMENT,
`userid` BIGINT(20) UNSIGNED NOT NULL DEFAULT 0,
`payout_total` FLOAT(22,3) UNSIGNED NOT NULL DEFAULT 0.000,
`target_account` VARCHAR(255) NOT NULL DEFAULT '',
`target_bank` VARCHAR(255) NOT NULL DEFAULT '',
`payout_id` BIGINT(20) UNSIGNED NOT NULL DEFAULT 0,
`payout_timestamp` VARCHAR(10) NOT NULL DEFAULT 0,
`status` ENUM('NEW','ACCEPTED','REJECTED') NOT NULL DEFAULT 'NEW',
PRIMARY KEY (`id`),
INDEX (`userid`),
INDEX (`payout_id`)",
			'Done user payouts (and status)');

		addDropTableSql('payout_types');
		addCreateTableSql('payout_types', "
`id` BIGINT(20) UNSIGNED NOT NULL AUTO_INCREMENT,
`type` VARCHAR(255) NOT NULL DEFAULT '',
`rate` FLOAT(22,3) UNSIGNED NOT NULL DEFAULT 0.000,
`min_points` BIGINT(20) UNSIGNED NOT NULL DEFAULT 0,
PRIMARY KEY (`id`)",
			'Payout types');

		// Admin menu
		addAdminMenuSql('setup','config_payouts','Auszahlungen','Auszahlungsarten einstellen, neu anlegen oder l&ouml;schen.',15);
		addAdminMenuSql('payouts','list_payouts','Anfragen auflisten','Listet alle Auszahlungsanfragen Ihrer Mitglieder auf.',16);

		// Member menu
		addMemberMenuSql('main', 'payout', 'Auszahlungen', 11);
		break;

	case 'remove': // Do stuff when removing extension
		// SQL commands to run
		addDropTableSql('user_payouts');
		addDropTableSql('payout_types');
		addExtensionSql("DELETE LOW_PRIORITY FROM `{?_MYSQL_PREFIX?}_admin_menu` WHERE `action`='payouts'");
		addExtensionSql("DELETE LOW_PRIORITY FROM `{?_MYSQL_PREFIX?}_member_menu` WHERE `what`='payout'");
		break;

	case 'activate': // Do stuff when admin activates this extension
		// SQL commands to run
		addExtensionSql("UPDATE `{?_MYSQL_PREFIX?}_member_menu` SET `visible`='Y',`locked`='N' WHERE `what`='payout' LIMIT 1");
		break;

	case 'deactivate': // Do stuff when admin deactivates this extension
		// SQL commands to run
		addExtensionSql("UPDATE `{?_MYSQL_PREFIX?}_member_menu` SET `visible`='N',`locked`='Y' WHERE `what`='payout' LIMIT 1");
		break;

	case 'update': // Update an extension
		break;

	case 'modify': // When the extension got modified
		break;

	case 'test': // For testing purposes
		break;

	case 'init': // Do stuff when extension is initialized
		break;

	default: // Unknown extension mode
		reportBug(__FILE__, __LINE__, sprintf("Unknown extension mode %s in extension %s detected.", getExtensionMode(), getCurrentExtensionName()));
		break;
} // END - switch

// [EOF]
?>
