<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 06/29/2004 *
 * ===================                          Last change: 08/22/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-add_rallye.php                              *
 * -------------------------------------------------------------------- *
 * Short description : Add new rallye                                   *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Neue Ref-Rallye einfuegen                        *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2013 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!isAdmin())) {
	die();
} // END - if

// Add description as navigation point
addYouAreHereLink('admin', __FILE__);

if (isFormSent()) {
	// Generate timestamps
	$START = mktime(postRequestElement('start_time_ho'), postRequestElement('start_time_mi'), 0, postRequestElement('start_time_mo'), postRequestElement('start_time_da'), postRequestElement('start_time_ye'));
	$END   = mktime(postRequestElement('end_time_ho')  , postRequestElement('end_time_mi')  , 0, postRequestElement('end_time_mo')  , postRequestElement('end_time_da')  , postRequestElement('end_time_ye')  );

	// Is there already a rallye running?
	$result = sqlQueryEscaped("SELECT `id`, `admin_id` FROM `{?_MYSQL_PREFIX?}_rallye_data` WHERE (`start_time` <= %s AND `end_time` >= %s) OR (`start_time` >= %s AND `start_time` <= %s) LIMIT 1",
		array($START, $START, $START, $END), __FILE__, __LINE__);

	if (ifSqlHasZeroNums($result)) {
		// Ok, start and end time did not overlap
		sqlQueryEscaped("INSERT INTO
	`{?_MYSQL_PREFIX?}_rallye_data`
(
	`admin_id`,
	`title`,
	`descr`,
	`template`,
	`start_time`,
	`end_time`,
	`auto_add_new_user`,
	`is_active`,
	`send_notify`,
	`min_users`,
	`min_prices`
) VALUES (
	%s,
	'%s',
	'%s',
	'%s',
	%s,
	%s,
	'%s',
	'%s',
	'%s',
	%s,
	%s
)",
			array(
				getCurrentAdminId(),
				postRequestElement('title'),
				postRequestElement('descr'),
				postRequestElement('template'),
				$START,
				$END,
				postRequestElement('auto_add'),
				postRequestElement('active'),
				postRequestElement('notify'),
				bigintval(postRequestElement('min_users')),
				bigintval(postRequestElement('min_prices'))
			), __FILE__, __LINE__);

		// Load id
		$id = getSqlInsertId();

		if (!empty($id)) {
			// Reload to prices...
			redirectToUrl('modules.php?module=admin&amp;what=list_rallye_prices&amp;rallye_id=' . bigintval($id));
		} else {
			// Problem detected...
			displayMessage('{--ADMIN_RALLYE_PROBLEM_CREATE--}');
		}
	} else {

		// Overlapping detected
		displayMessage('{--ADMIN_RALLYE_OVERLAP_TIMES--}');
	}

	// Free memory
	sqlFreeResult($result);
} // END - if

// Starting day
$content['start_min']   = addSelectionBox('mi', 0                   , 'start_time');
$content['start_hour']  = addSelectionBox('ho', getShortHour()      , 'start_time');
$content['start_day']   = addSelectionBox('da', getDay()            , 'start_time');
$content['start_month'] = addSelectionBox('mo', getMonth()          , 'start_time');
$content['start_year']  = addSelectionBox('ye', getYear()           , 'start_time');

// Ending timestamp
$endingStamp = time() + (getOneDay() * 7);

// Ending day
$content['end_min']   = addSelectionBox('mi', 0                     , 'end_time');
$content['end_hour']  = addSelectionBox('ho', getShortHour()        , 'end_time');
$content['end_day']   = addSelectionBox('da', getDay($endingStamp)  , 'end_time');
$content['end_month'] = addSelectionBox('mo', getMonth($endingStamp), 'end_time');
$content['end_year']  = addSelectionBox('ye', getYear($endingStamp) , 'end_time');

// Load template
loadTemplate('admin_add_rallye', FALSE, $content);

// [EOF]
?>
