<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 02/02/2004 *
 * ===================                          Last change: 11/26/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : action-online.php                                *
 * -------------------------------------------------------------------- *
 * Short description : Who is where? (DO NOT add sub menus!)            *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Wer ist wo? (KEINE Untermenues anhaengen!)       *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2013 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	exit();
} elseif ((!isExtensionActive('online')) && (!isAdmin())) {
	// Just skip this extension
	return;
} elseif (!isBlockModeEnabled()) {
	// Block mode detected
	return;
}

// Total visitors online
$total = countSumTotalData('', 'online', 'id', 'userid', TRUE);

if (getConfig('mad_count') < $total) {
	// Update counter
	updateConfiguration(array('mad_timestamp', 'mad_count'), array('UNIX_TIMESTAMP()', $total));
} // END - if

// Prepare content
$content = array(
	'guests'  => countSumTotalData('N', 'online', 'id', 'is_admin', TRUE, " AND `is_member`='N'"),
	'members' => countSumTotalData('N', 'online', 'id', 'is_admin', TRUE, " AND `is_member`='Y'"),
	'admins'  => countSumTotalData('Y', 'online', 'id', 'is_admin', TRUE),
	'total'   => $total
);

// Output table
$GLOBALS['rows'] .= loadTemplate('online_now', TRUE, $content);

// Add more links in this block
runFilterChain('online_extra_links');

// [EOF]
?>
