<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 10/19/2003 *
 * ===================                          Last change: 09/10/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-reflinks.php                                *
 * -------------------------------------------------------------------- *
 * Short description : Referral links                                   *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Referral-Links                                   *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2013 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	exit();
} elseif (!isMember()) {
	redirectToIndexMemberOnlyModule();
}

// Add description as navigation point
addYouAreHereLink('member', __FILE__);

// Prepare some data
$content['userid']           = getMemberId();
$content['nickname_content'] = '';

// @TODO Move this into a filter
if (isExtensionActive('nickname')) {
	// Add nickname link when nickname is entered
	$nick = getNickname(getMemberId());

	if (!empty($nick)) {
		// Display nickname link
		$content['nickname_content'] = loadTemplate('member_reflink_nickname', TRUE, $nick);
	} else {
		// Display link to nickname form
		$content['nickname_content'] = '{%template,LoadTemplate=member_reflink_no_nickname%}';
	}
} // END - if

$whereStatement = " WHERE `visible`='Y'";
if (isAdmin()) $whereStatement = '';

$result = sqlQuery('SELECT `id`, `url`, `alternate`, `counter`, `clicks` FROM `{?_MYSQL_PREFIX?}_refbanner` ORDER BY `id` ASC', __FILE__, __LINE__);

if (!ifSqlHasZeroNums($result)) {
	// List available ref banners
	$OUT = '';
	while ($row = sqlFetchArray($result)) {
		$test = str_replace(getUrl(), getPath(), $row['url']); $size = '0';
		if ($test == $row['url']) {
			// Download banner (I hope you keep the banner on same server???)
			$fp = sendHttpGetRequest($row['url']);
			$bannerContent = '';
			if ((!empty($fp)) && (is_array($fp)) && (count($fp) > 0)) {
				// Loads only found banner, when there is a 404 error this foreach() command
				// will cause an "Invalid argument supplied for foreach()" error
				foreach ($fp as $f) {
					$bannerContent .= $f;
				} // END - foreach
			} // END - if
			$size = strlen($bannerContent);
		} elseif (isFileReadable($test)) {
			$size = filesize($test);
		}

		// Empty alternative text?
		if (empty($row['alternate'])) {
			// Then set default
			$row['alternate'] = '{?MAIN_TITLE?} - {?SLOGAN?}';
		} // END - if

		if ($size > 0) {
			$row['alternate'] .= ' ('  .translateComma(round($size / 102.4) / 10) . ' {--KBYTES--})';
		} // END - if

		// Add some more data
		$row['userid'] = getMemberId();

		// Add row
		$OUT .= loadTemplate('member_list_reflinks_row', TRUE, $row);
	} // END - while

	// Load final template
	$content['refbanner_content'] = loadTemplate('member_list_reflinks', TRUE, $OUT);
} else {
	// No refbanner found
	$content['refbanner_content'] = displayMessage('{--MEMBER_REFERRAL_BANNER_404--}', TRUE);
}

// Free result
sqlFreeResult($result);

// Add extra content through filter
$content['extra_content'] = runFilterChain('member_reflink_extra_content');

// Load main template
loadTemplate('member_reflink', FALSE, $content);

// [EOF]
?>
